- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::OrigIterationOutput Class Reference

Class for the iteration summary output for the original NLP. More...

`#include <IpOrigIterationOutput.hpp>`

Inheritance diagram for Ipopt::OrigIterationOutput:

[legend]
Collaboration diagram for Ipopt::OrigIterationOutput:

[legend]
List of all members.

## Public Member Functions
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)
| overloaded from AlgorithmStrategyObject
virtual void | WriteOutput ()
| Method to do all the summary output per iteration.
Constructors/Destructors
| OrigIterationOutput ()
| Default Constructor.
virtual | ~OrigIterationOutput ()
| Default destructor.
## Static Public Member Functions
static void | RegisterOptions (SmartPtr< RegisteredOptions > roptions)
| Methods for OptionsList.
## Private Member Functions
Default Compiler Generated Methods (Hidden to avoid
implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| OrigIterationOutput (const OrigIterationOutput &)
| Copy Constructor.
void | operator= (const OrigIterationOutput &)
| Overloaded Equals Operator.
## Private Attributes
bool | print_info_string_
| Flag indicating weather info string should be printed at end of iteration summary line.

## Detailed Description

Class for the iteration summary output for the original NLP.

Definition at line 19 of file IpOrigIterationOutput.hpp.

## Constructor & Destructor Documentation

Ipopt::OrigIterationOutput::OrigIterationOutput | ( |  | ) |

Default Constructor.

virtual Ipopt::OrigIterationOutput::~OrigIterationOutput | ( |  | ) | `[virtual]`

Default destructor.

Ipopt::OrigIterationOutput::OrigIterationOutput | ( | const OrigIterationOutput & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

virtual bool Ipopt::OrigIterationOutput::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix |
| ) |  |  | `[virtual]`

overloaded from AlgorithmStrategyObject

Implements Ipopt::IterationOutput.

virtual void Ipopt::OrigIterationOutput::WriteOutput | ( |  | ) | `[virtual]`

Method to do all the summary output per iteration.

This include the one-line summary output as well as writing the details about the iterates if desired

Implements Ipopt::IterationOutput.

static void Ipopt::OrigIterationOutput::RegisterOptions | ( | SmartPtr< RegisteredOptions > | roptions | ) | `[static]`

Methods for OptionsList.

void Ipopt::OrigIterationOutput::operator= | ( | const OrigIterationOutput & |  | ) | `[private]`

Overloaded Equals Operator.

## Member Data Documentation

bool Ipopt::OrigIterationOutput::print_info_string_`[private]`

Flag indicating weather info string should be printed at end of iteration summary line.

Definition at line 61 of file IpOrigIterationOutput.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.2.1/Ipopt/src/Algorithm/IpOrigIterationOutput.hpp